pw_impl_link_events Struct Reference
Implementation API » Link Impl

link events added with pw_impl_link_add_listener More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| A link is destroyed. More...
void(* | free )(void *data)
| A link is freed. More...
void(* | initialized )(void *data)
| a Link is initialized More...
void(* | info_changed )(void *data, const struct pw_link_info *info)
| The info changed on a link. More...
void(* | state_changed )(void *data, enum pw_link_state old, enum pw_link_state state, const char *error)
| The link state changed, error is only valid when the state is in error. More...
void(* | port_unlinked )(void *data, struct pw_impl_port *port)
| A port is unlinked. More...

## Detailed Description

link events added with pw_impl_link_add_listener

## Field Documentation

## version

uint32_t pw_impl_link_events::version

## destroy

void(* pw_impl_link_events::destroy) (void *data)

A link is destroyed.

## free

void(* pw_impl_link_events::free) (void *data)

A link is freed.

## initialized

void(* pw_impl_link_events::initialized) (void *data)

a Link is initialized

## info_changed

void(* pw_impl_link_events::info_changed) (void *data, const struct pw_link_info *info)

The info changed on a link.

## state_changed

void(* pw_impl_link_events::state_changed) (void *data, enum pw_link_state old, enum pw_link_state state, const char *error)

The link state changed, error is only valid when the state is in error.

## port_unlinked

void(* pw_impl_link_events::port_unlinked) (void *data, struct pw_impl_port *port)

A port is unlinked.

The documentation for this struct was generated from the following file:

- pipewire/impl-link.h